Alokai

SapccApiGetLocationProductStockRequest

Request parameters for getLocationProductStock operation in SapccApi. SapccApiGetLocationProductStockRequest

interface SapccApiGetLocationProductStockRequest {
	readonly baseSiteId: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly latitude?: number;
	readonly location?: string;
	readonly longitude?: number;
	readonly pageSize?: number;
	readonly productCode: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetLocationProductStock
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetLocationProductStock
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetLocationProductStock
latitudeOptionalnumberCoordinate that specifies the north-south position of a point on the Earth's surface. {number} SapccApiGetLocationProductStock
locationOptionalstringFree-text location {string} SapccApiGetLocationProductStock
longitudeOptionalnumberCoordinate that specifies the east-west position of a point on the Earth's surface. {number} SapccApiGetLocationProductStock
pageSizeOptionalnumberNumber of results returned per page. {number} SapccApiGetLocationProductStock
productCodeRequiredstringProduct identifier. {string} SapccApiGetLocationProductStock

On this page